Subject: bug#24353: 25.1.1: looking-back wrong info

From: Drew Adams <[email-masked]>
Date: Fri, 2 Sep 2016 17:28:54 -0700 (PDT)

> > The right way to _encourage_ programmers to use it is to
> > tell them precisely that: "Using LIMIT is recommended - it
> > typically results in faster code."
> >
> > Or "strongly recommended".  Or "You're nuts if you omit LIMIT!"
> > Or whatever other positive or negative encouragement you think
> > might be most effective and appropriate.
> >
> > Telling them nothing about this and, instead, just showing a
> > false signature, does NOT help them.
> 
> So something like this:
> 
> diff --git i/lisp/subr.el w/lisp/subr.el
> index e9e19d3..4d1267a 100644
> --- i/lisp/subr.el
> +++ w/lisp/subr.el
> @@ -3533,7 +3533,10 @@ looking-back
>  LIMIT.
> 
>  As a general recommendation, try to avoid using `looking-back'
> -wherever possible, since it is slow."
> +wherever possible, since it is slow.
> +
> +For backwards compatibility LIMIT may be omitted, but this usage
> +is deprecated."
>    (declare
>     (advertised-calling-convention (regexp limit &optional greedy)
> "25.1"))
>    (let ((start (point))

Dunno.  Is it deprecated?  If so, that presumably means that
at some point it is likely to be desupported (impossible to
omit LIMIT).

Anyway, I've said everything I think I think about this doc.
What you do now, if anything, depends on the effect sought.

> > 2. We removed this sentence, which was the only suggestion
> >    related to performance:
> >    "As a general recommendation, try to avoid using
> >     `looking-back' wherever possible, since it is slow."
> 
> Not sure which version you're looking at, but that sentence is still
> present on both emacs-25 and master branches.

Sorry, my bad.  It is present.  It was hiding below a 1/2-frame
window view, and I thought the whole buffer was shown.  Darn
MS Windows scroll bars - they're there whether there is content
to scroll or not.